.news-card-widget {
  margin-bottom: var(--spacing-medium);
  background-color: #efefef;
  border: 1px solid #ccc;
  padding: 0.8rem 0 0 0.8rem;
}
.news-card-widget .news-card-widget-news-title {
  color: #181818;
  margin: 2px 0 0;
  font-size: 0.9em;
  font-weight: 700;
}
.news-card-widget .news-card-widget-scroll-container {
  gap: var(--spacing-small);
  flex-direction: row;
  justify-content: flex-start;
  display: flex;
}
.news-card-widget .news-card-widget-ticker {
  flex: 1;
  height: 60px;
  margin: 0;
  padding: 0;
  list-style-type: none;
  position: relative;
  overflow: hidden;
}
.news-card-widget .news-card-widget-ticker a {
  text-align: start;
  -webkit-line-clamp: 2;
  text-overflow: ellipsis;
  opacity: 0;
  -webkit-box-orient: vertical;
  width: 100%;
  height: 100%;
  transition:
    transform 1s ease-in-out,
    opacity 1s ease-in-out;
  display: -webkit-box;
  position: absolute;
  overflow: hidden;
  transform: translateY(100%);
}
.news-card-widget .new-content {
  color: var(--color-dark-dark);
  font-size: var(--text-medium);
  margin-top: 2px;
  text-decoration: none;
}
.news-card-widget .new-content:hover {
  text-decoration: underline;
}
.news-card-widget .all-btn {
  margin-top: 2px;
}
.news-card-widget .all-btn > a {
  padding: var(--spacing-small);
  color: var(--color-dark-light);
  background-image: linear-gradient(
    to bottom,
    var(--color-normal-dark),
    var(--color-normal-light)
  );
  font-size: var(--typography-a-font-size);
  border-radius: 0.1rem;
  justify-content: flex-end;
  margin: 0 10px 10px 0;
  display: flex;
}
.news-card-widget .all-btn > a:hover {
  color: #1c1c1c;
}
